<?php
require'f_descarcari.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Editează fișiere descărcări'.$x1;
require'f_sus.php';
if($conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$fid.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'În albumul '.$fnume.' nu sunt fișiere adăugate!'.$div[0];
else
{
echo$div[4].img('download.gif',1).'Editează fișiere descărcări'.$x1.$div[5];
if($page==1)
{
$fisiere=$conn->query('SELECT`id`,`nume`,`link`FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$fid.'"ORDER BY`nume`');
while($fisier=$fisiere->fetch_row())
{
echo$div[1].'Fișierul '.htmlspecialchars($fisier[1]).' '.($_POST['id_'.$fisier[0]]!=''&&$_POST['id_'.$fisier[0]]!=$fisier[2]?($conn->query('UPDATE`descarcari_fisiere`SET`link`="'.$_POST['id_'.$fisier[0]].'",`validd`="6"WHERE`id`="'.$fisier[0].'"')?'':'<span style="color:red">NU </span>'):'nu ').'a fost editat!'.$div[0];
}
}
else
{
echo$div[10].'Din această pagină poți edita doar link-uri ale fișierelor din acest album!<br />Poți edita doar anumite link-uri, iar cele ne completate sau care sunt scrise identic cu cele existente deja în baza de date, rămân ne modificate.<br /><img src="'.$domenii_statice[1].'point.gif" alt="!" />ATENȚIE!<br />După editarea link-urilor, în cazul în care au fost adăugate dintr-un serviciu de cloud, va trebui să apelezi din meniul de administrare, meniul aferent acelui serviciu, pentru repararea lor; deasemenea dacă sunt fișiere audio, trebuie să apelezi meniul care <a href="/admin-seteaza-dimensiune-durata-rata/categorie/1-fisiere-descarcari">'.img('administrare.png',1).'setează dimensiune/durată/rată fișiere descărcări</a>!'.$div[0];
$form[0]=$_SERVER['REQUEST_URI'].'/pagina/1" method="post';
$form[1]=0;
$form[2]='<table><thead><tr><th>ID</th><th>Fișier</th><th>Link nou</th><th>Link vechi</th></tr></thead><tbody>';
$form[3]='';
$fisiere=$conn->query('SELECT`id`,`nume`,`link`FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$fid.'"ORDER BY`nume`');
while($fisier=$fisiere->fetch_row())
{
$form[2].='<tr><td>'.$fisier[0].'</td><td><a href="/fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'" title="Fișier '.htmlspecialchars($fisier[1].' - '.$finfo[2]).'">'.htmlspecialchars($fisier[1]).'</a></td><td>'.htmlspecialchars($fisier[1]).'<input name="id_'.$fisier[0].'" /></td><td>'.htmlspecialchars($fisier[2]).'</td></tr>';
$form[3].='id_'.$fisier[0].'::';
}
$form[2].='</tbody></table>';
$form[4]='Editează';
require'f_form.php';
}
}
require'f_jos.php';